Subject: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Noam Postavsky <[email-masked]>
Date: Mon, 20 Jun 2016 19:59:33 -0400

Isn't the safest and simplest solution to rename the current
*-at-point to *-near-point, keep the *-at-point names as obsolete
aliases, and add new *-precisely-at-point functions with the
definitions from the thingatpt+ library? That way, current users of
*-at-point who happen to be relying the on *-near-point functionality
won't break. Only downside I can see is a slightly longer name for the
*-precisely-at-point callers, but that doesn't seem too bad.

What you do think?